Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery.util
Class Messages

    java.lang.Object
      org.exist.xquery.util.Messages

public class Messages
extends java.lang.Object

Reads error messages from a `ResourceBundle` and provides shorthand methods to format the error message using the message arguments passed.

Author:
  wolf

Field Summary
`static java.lang.String` | `BASE_NAME` The base name of the messages file.

Constructor Summary
`Messages()`

Method Summary
`static java.lang.String` | `formatMessage(java.lang.String messageId, java.lang.Object[] args)`
`static java.lang.String` | `getMessage(java.lang.String messageId)`
`static java.lang.String` | `getMessage(java.lang.String messageId, java.lang.Object arg0)`
`static java.lang.String` | `getMessage(java.lang.String messageId, java.lang.Object arg0, java.lang.Object arg1)`
`static java.lang.String` | `getMessage(java.lang.String messageId, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)`
`static java.lang.String` | `getMessage(java.lang.String messageId, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BASE_NAME

    public static final java.lang.String BASE_NAME

  The base name of the messages file.

  See Also:
    Constant Field Values

Constructor Detail

### Messages

    public Messages()

Method Detail

### getMessage

    public static java.lang.String getMessage(java.lang.String messageId)

### getMessage

    public static java.lang.String getMessage(java.lang.String messageId,
                                              java.lang.Object arg0)

### getMessage

    public static java.lang.String getMessage(java.lang.String messageId,
                                              java.lang.Object arg0,
                                              java.lang.Object arg1)

### getMessage

    public static java.lang.String getMessage(java.lang.String messageId,
                                              java.lang.Object arg0,
                                              java.lang.Object arg1,
                                              java.lang.Object arg2)

### getMessage

    public static java.lang.String getMessage(java.lang.String messageId,
                                              java.lang.Object arg0,
                                              java.lang.Object arg1,
                                              java.lang.Object arg2,
                                              java.lang.Object arg3)

### formatMessage

    public static java.lang.String formatMessage(java.lang.String messageId,
                                                 java.lang.Object[] args)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.